summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authorjcxifre <jcxifre@unizar.es>2011-03-10 12:57:43 +0000
committerjcxifre <jcxifre@unizar.es>2011-03-10 12:57:43 +0000
commit45f1fe807f1396684b784aa2d67d1736ad888b10 (patch)
tree8d0baf054516d15db130cddf4598c78f3e7838d4 /installer
parent6b65dfd9b27511209d28cc7fe9bf0df8a55db2e8 (diff)
No actualizaba la documentación del api ni el engine
git-svn-id: https://opengnsys.es/svn/branches/version1.0@1540 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_update.sh37
1 files changed, 36 insertions, 1 deletions
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index 3c8be109..004c378a 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -206,6 +206,37 @@ function updateServicesStart(){
echoAndLog "${FUNCNAME}(): /etc/init.d/opengnsys updated successfully."
}
+# Actualizar cliente OpenGnSys
+function openGnsysCopyClientFiles()
+{
+ local hayErrores=0
+
+ echoAndLog "${FUNCNAME}(): Updating OpenGnSys Client files."
+ #cp -ar $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
+ rsync --exclude .svn -irplt $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
+ if [ $? -ne 0 ]; then
+ errorAndLog "${FUNCNAME}(): error while updating client structure"
+ hayErrores=1
+ fi
+ find $INSTALL_TARGET/client -name .svn -type d -exec rm -fr {} \; 2>/dev/null
+
+ echoAndLog "${FUNCNAME}(): Updating OpenGnSys Cloning Engine files."
+ #mkdir -p $INSTALL_TARGET/client/lib/engine/bin
+ #cp -ar $WORKDIR/opengnsys/client/engine/*.lib $INSTALL_TARGET/client/lib/engine/bin
+ rsync --exclude .svn -irplt $WORKDIR/opengnsys/client/engine/*.lib $INSTALL_TARGET/client/lib/engine/bin
+ if [ $? -ne 0 ]; then
+ errorAndLog "${FUNCNAME}(): error while updating engine files"
+ hayErrores=1
+ fi
+
+ if [ $hayErrores -eq 0 ]; then
+ echoAndLog "${FUNCNAME}(): client files update success."
+ else
+ errorAndLog "${FUNCNAME}(): client files update with errors"
+ fi
+
+ return $hayErrores
+}
# Copiar ficheros del OpenGnSys Web Console.
function updateWebFiles()
{
@@ -259,8 +290,9 @@ function makeDoxygenFiles()
errorAndLog "${FUNCNAME}(): unable to create Doxygen web files."
return 1
fi
+ rm -fr "$INSTALL_TARGET/www/api"
mv "$INSTALL_TARGET/www/html" "$INSTALL_TARGET/www/api"
- rm -fr $INSTALL_TARGET/www/{man,perlmod,rtf}
+ rm -fr $INSTALL_TARGET/www/{man,perlmod,rtf}
chown -R $APACHE_RUN_USER:$APACHE_RUN_GROUP $INSTALL_TARGET/www/api
echoAndLog "${FUNCNAME}(): Doxygen web files created successfully."
}
@@ -479,6 +511,9 @@ if [ $? -ne 0 ]; then
exit 1
fi
+# Actualizando cliente
+openGnsysCopyClientFiles
+
# Copiando paqinas web
updateWebFiles
if [ $? -ne 0 ]; then